"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArg = void 0;
function checkValue(args, string) {
    const nameIndex = args.indexOf(string);
    if (nameIndex >= 0) {
        const nextArg = args[nameIndex + 1];
        if (nextArg !== undefined) {
            const nextIsCommand = !!nextArg.match(/^\-/);
            if (nextIsCommand) {
                return null;
            }
            return nextArg;
        }
        else {
            return null;
        }
    }
    return null;
}
function getArg(args, options) {
    let stringValue = null;
    if (options.alias) {
        const aliasString = `-${options.alias}`;
        stringValue = checkValue(args, aliasString);
    }
    if (!stringValue) {
        const nameString = `--${options.name}`;
        stringValue = checkValue(args, nameString);
    }
    return stringValue;
}
exports.getArg = getArg;
//# sourceMappingURL=args.js.map