"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateSchema = void 0;
const ajv_1 = __importDefault(require("ajv"));
function validateSchema(schema, json) {
    var _a;
    const jsonSchema = new ajv_1.default({
        allErrors: true
    });
    const valid = jsonSchema.validate(schema, json);
    if (!valid) {
        if (process.env.NODE_ENV !== 'test') {
            (_a = jsonSchema.errors) === null || _a === void 0 ? void 0 : _a.forEach((error) => {
                console.warn(`Validation error at ${error.dataPath} - ${error.message}`);
            });
        }
    }
    return valid;
}
exports.validateSchema = validateSchema;
//# sourceMappingURL=validateSchema.js.map